Page MenuHomePhabricator

[mips] Range check simm9 and fix a bug this revealed.
ClosedPublic

Authored by dsanders on Mar 24 2016, 3:19 AM.

Details

Summary

The bug was that microMIPS's [ls]w[lr]e instructions claimed to support a
12-bit offset when it is only 9-bit.

Depends on D18179

Diff Detail

Event Timeline

dsanders updated this revision to Diff 51528.Mar 24 2016, 3:19 AM
dsanders retitled this revision from to [mips] Range check simm9 and fix a bug this revealed..
dsanders updated this object.
dsanders added a reviewer: vkalintiris.
dsanders added a subscriber: llvm-commits.
vkalintiris accepted this revision.Mar 30 2016, 8:26 AM
vkalintiris edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Mar 30 2016, 8:26 AM
dsanders closed this revision.Mar 31 2016, 6:20 AM